﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
public class ControlJugador : MonoBehaviour {

	private Rigidbody rb;

	// Use this for initialization
	void Start () {
		rb = this.GetComponent<Rigidbody> ();
	}

	void Update () {
		if (Input.GetKey (KeyCode.W)) {
			rb.velocity = new Vector3 (0f, 0f, 8f);

		} else if (Input.GetKey (KeyCode.A)) {
			rb.velocity = new Vector3 (-8f, 0f, 0f);

		} else if (Input.GetKey (KeyCode.S)) {
			rb.velocity = new Vector3 (0f, 0f, -8f);

		} else if (Input.GetKey (KeyCode.D)) {
			rb.velocity = new Vector3 (8f, 0f, 0f);

		} else if (Input.GetKey (KeyCode.LeftArrow)) {
			transform.Rotate (new Vector3 (0f, 90f, 0f) * Time.deltaTime);

		} else if (Input.GetKey (KeyCode.RightArrow)) {
			transform.Rotate (new Vector3 (0f, -90f, 0f) * Time.deltaTime);

		} else {
			rb.velocity = new Vector3 (0f, 0f, 0f);
		}
	}
}
